## org.apache.tools.ant.taskdefs
Class AntStructure

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.AntStructure

public class AntStructure
extends Task

Creates a partial DTD for Ant from the currently known tasks.

Since:
  Ant 1.1
Version:
  $Revision: 1.25.2.1 $
Author:
  Stefan Bodewig

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AntStructure()`

Method Summary
`protected boolean` `areNmtokens(java.lang.String[] s)` Do the Strings all match the XML-NMTOKEN production?
`void` `execute()` Build the antstructure DTD.
`protected boolean` `isNmtoken(java.lang.String s)` Does this String match the XML-NMTOKEN production?
`void` `setOutput(java.io.File output)` The output file.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntStructure

    public AntStructure()

Method Detail

### setOutput

    public void setOutput(java.io.File output)

  The output file.

### execute

    public void execute()
                 throws BuildException

  Build the antstructure DTD.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if the DTD cannot be written.

### isNmtoken

    protected boolean isNmtoken(java.lang.String s)

  Does this String match the XML-NMTOKEN production?

### areNmtokens

    protected boolean areNmtokens(java.lang.String[] s)

  Do the Strings all match the XML-NMTOKEN production?

  Otherwise they are not suitable as an enumerated attribute, for example.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.